# fn:starts-with

fn:starts-with(string? $operand1, string? $operand2) → boolean?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
Result | xs:boolean ?

Tests whether one string starts with another string

XPath 2.0 Specification

fn:starts-with(string? $operand1, string? $operand2, string $collation) → boolean?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
$collation | xs:string
Result | xs:boolean ?

Tests whether one string starts with another string, using the given collation for comparison

XPath 2.0 Specification

Expand | Up Next